
CC	= gcc

# For GNU/Linux systems
#CFLAGS	= -I. -O2
#YACC	= bison -y

# For the Cygnus Win32 environment
#CFLAGS	= -DL_ENDIAN -DGNU_WIN32 -I. -O
#YACC	= byacc

# Everything else
CFLAGS	= -I. -O
YACC	= yacc

# ----------------------------------------------------------------------
# You should not need to modify anything below here
#

OBJS	= fortify.o morpher.o gram.o lex.o index.o misc.o md5_dgst.o md5_calc.o
MD5_OBJ	= md5_calc.o md5_dgst.o md5.o

all:	fortify md5

fortify: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@

md5:    $(MD5_OBJ)
	$(CC) $(CFLAGS) $(MD5_OBJ) -o $@


gram.o:	gram.y

lex.o:	lex.l

lex.l:	y.tab.h

y.tab.h: gram.y
	$(YACC) -d gram.y

clean:
	rm -f *.o *.obj y.tab.h y.tab.c gram.c lex.c tags core *.old *.bak
